### Function

# Fwupd Codec array_to_json

since: 2.0.0

#### Declaration [src]

    void
    fwupd_codec_array_to_json (
      GPtrArray* array,
      const gchar* member_name,
      JsonBuilder* builder,
      FwupdCodecFlags flags
    )

#### Description [src]

Converts an array of objects into a `GVariant` value.

Available since: 2.0.0

#### Parameters

`array`

  Type: An array of `GObject*`

  (not nullable): array of objects that much implement `FwupdCodec`.

  The data is owned by the caller of the function.

`member_name`

  Type: `const gchar*`

  Member name of the array.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`builder`

  Type: `JsonBuilder`

  A `JsonBuilder`.

  The data is owned by the caller of the function.

`flags`

  Type: `FwupdCodecFlags`

  A `FwupdCodecFlags`, e.g. `FWUPD_CODEC_FLAG_TRUSTED`.